API

Update branch

POST/api/crm/v2/branches.update_branchv2
operationId: branches.updateBranch

Updates branch settings. When changing the city, the branch's districts are reset.

Authorization

api-token + language + role

Request body application/json

object (ItemBranchUpdate)
idintegerrequired

Example: 1

branch_namestringrequired

Example: FoodTruck «Thunderbird»

email_for_feedbackstringrequired

Example: example@example.com

round_costs_modestringrequired

Values:half_uphalf_downhalf_evenceilingfloor

round_costs_to_precisionintegerrequired

Example: 2

feedback_enabledboolean

Example: true

preorder_enableboolean

Example: true

preorder_in_work_timeboolean

Example: true

preorder_alwaysboolean

Example: true

preorder_delivery_minimum_minutesinteger

Example: 0

preorder_delivery_maximum_daysinteger

Example: 3

preorder_pickup_minimum_minutesinteger

Example: 10

preorder_pickup_maximum_daysinteger

Example: 1

phone_mask_enableboolean

Example: true

phone_formatboolean

Example: true

phone_internationalboolean

Example: true

email_lite_versionboolean

Example: true

email_include_photoboolean

Example: true

email_format_addressboolean

Example: true

email_permanent_clientboolean

Example: true

repeat_order_notification_enabledboolean

Example: true

show_category_enabledboolean

Example: true

order_auto_confirm_enabledboolean

Example: true

order_countdown_enabledboolean

Example: true

order_auto_confirm_delay_minutes_weekdaysinteger

Example: 30

order_auto_confirm_delay_minutes_weekendinteger

Example: 60

order_auto_confirm_delay_minutes_holidaysinteger

Example: 90

Responses

OK

object
statusstringrequired

Values:successerror

Example: success

dataobject